Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.ognl
Class TilesContextPropertyAccessorDelegateFactory

    java.lang.Object
      org.apache.tiles.ognl.TilesContextPropertyAccessorDelegateFactory

All Implemented Interfaces:
  PropertyAccessorDelegateFactory<TilesRequestContext>

    public class TilesContextPropertyAccessorDelegateFactory

extends java.lang.Object
implements PropertyAccessorDelegateFactory<TilesRequestContext>

Decides the appropriate `PropertyAccessor` for the given property name and `TilesRequestContext`.

Since:
  2.2.0
Version:
  $Rev: 817009 $ $Date: 2009-09-20 13:26:26 +0200 (dom, 20 set 2009) $

Constructor Summary
`TilesContextPropertyAccessorDelegateFactory(ognl.PropertyAccessor objectPropertyAccessor, ognl.PropertyAccessor applicationContextPropertyAccessor, ognl.PropertyAccessor requestScopePropertyAccessor, ognl.PropertyAccessor sessionScopePropertyAccessor, ognl.PropertyAccessor applicationScopePropertyAccessor)` Constructor.

Method Summary
`ognl.PropertyAccessor` | `getPropertyAccessor(java.lang.String propertyName, TilesRequestContext request)` Returns a prooerty accessor appropriate for the property name and the object passed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TilesContextPropertyAccessorDelegateFactory

    public TilesContextPropertyAccessorDelegateFactory(ognl.PropertyAccessor objectPropertyAccessor,
                                                       ognl.PropertyAccessor applicationContextPropertyAccessor,
                                                       ognl.PropertyAccessor requestScopePropertyAccessor,
                                                       ognl.PropertyAccessor sessionScopePropertyAccessor,
                                                       ognl.PropertyAccessor applicationScopePropertyAccessor)

  Constructor.

  Parameters:
    `objectPropertyAccessor` - The plain object property accessor, to be used directly for `TilesRequestContext`.
    `applicationContextPropertyAccessor` - The application context property accessor.
    `requestScopePropertyAccessor` - The request scope property accessor.
    `sessionScopePropertyAccessor` - The session scope property accessor.
    `applicationScopePropertyAccessor` - The application scope property accessor.
  Since:
    2.2.0

Method Detail

### getPropertyAccessor

    public ognl.PropertyAccessor getPropertyAccessor(java.lang.String propertyName,
                                                     TilesRequestContext request)

  Returns a prooerty accessor appropriate for the property name and the object passed.

  Specified by:
    `getPropertyAccessor` in interface `PropertyAccessorDelegateFactory<TilesRequestContext>`
  Parameters:
    `propertyName` - The name of the property.
    `request` - The root object to evaluate.
  Returns:
    The appropriate property accessor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.